> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ar apply payment

> Ar apply payment

### Request body

`ApplyArPaymentRequest`

<ParamField body="applications" type="ArPaymentApplicationLineRequest[]" required />

<ParamField body="payment_id" type="string" required />

### Responses

<ResponseField name="201" type="ArPaymentApplicationListResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/ar/payment-applications' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "applications": [
      {
        "amount": "string",
        "invoice_id": "string"
      }
    ],
    "payment_id": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "applications": [
      {
        "applied_amount": "string",
        "applied_date": "string",
        "id": "string",
        "invoice_id": "string",
        "payment_id": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
